%define oname oggre
%define name xmms-%oname
%define version 0.3
%define release %mkrel 10

Summary: Ogg output plugin for xmms
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/my-xmms-plugs/%{oname}-%{version}.tar.bz2
Patch: oggre-0.3-linking.patch
License: GPLv2+
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libvorbis-devel 
BuildRequires: libxmms-devel
BuildRequires: automake1.4
Requires: xmms
Provides: oggre
Obsoletes: oggre
URL: http://sourceforge.net/projects/my-xmms-plugs/

%description
This xmms plugin writes Ogg Vorbis audio files to the hard disk.

%prep
%setup -q -n %oname-%version
%patch -p1
chmod 644 AUTHORS ChangeLog
libtoolize --install --force
aclocal -I macros
autoconf
automake -a

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Output/liboggre.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%_libdir/xmms/Output/*




%changelog
* Sat Aug 06 2011 Götz Waschk <waschk@mandriva.org> 0.3-10mdv2012.0
+ Revision: 693440
- rebuild

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.3-9mdv2011.0
+ Revision: 408698
- update license
- fix build

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 0.3-8mdv2009.0
+ Revision: 262596
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.3-7mdv2009.0
+ Revision: 257466
- rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tv@mandriva.org> 0.3-5mdv2008.1
+ Revision: 135620
- adjust file list
- kill re-definition of %%buildroot on Pixel's request


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.3-5mdv2007.0
+ Revision: 113193
- Import xmms-oggre

* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.3-5mdv2007.1
- Rebuild

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2007.0
- Rebuild

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 0.3-3mdk
- Rebuild
- use mkrel

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.3-2mdk
- fix build on x86_64

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- fix URL
- new version
- rename from oggre

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-5mdk
- fix buildrequires
- drop prefix

